MinovaEasy - Bug #2869

Overtime Form Submission Success, Namun tidak bisa di Approve atau Reject
07/10/2024 12:16 PM - shofwan shiddiq

Status: Closed Start date: 07/10/2024
Priority: Normal Due date:
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description
Dear Azid, Submit Overtime sudah sukses. Namun tidak bisa di Approve / Reject oleh HR
Contoh: Req ID 119
select * from PCMWFRUNBIZDATA where RegID='119' -
select * from PCMWFRUNMAIN where RegID="119' -
select * from PCMWFRUNPIC where RegID='113'
—|
65 % hd
B Results 2 Messages
ReglD Sequence BizProcessID TableReference FieldlD DataSequence Value
1 1 ESS_Overtime_AJTM PDSWFMDOVERTIME ConfirmationFlag 1
2 119 1 ESS_Overtime_AJTM  PDSWFMDOVERTIME  CorrectionStatus 1 1
3 119 1 ESS_Overtime_AJTM  PDSWFMDOVERTIME  DateFrom 1 20240710
4 119 1 ESS_Overtime_AJTM  PDSWFMDOVERTIME DateTo 1 20240710
5 119 1 ESS_Overtime_AJTM  PDSWFMDOVERTIME = DayBeforeFlag 1 n
6 19 1 ESS_Overtime_AJTM PDSWFMDOVERTIME DayType 1
7 19 1 ESS_Overtime_AJTM  PDSWFMDOVERTIME  Duration 1
8 19 1 ESS_Overtime_AJTM PDSWFMDOVERTIME = OvertimeType 1 A
9 119 1 ESS_Overtime_AJTM  PDSWFMDOVERTIME Reason 1 Reason Testing
0 119 1 ESS_Overtime_AJTM PDSWFMDOVERTIME  TimeStart 1 oooo
1 g 1 ESS_Overtime_AJTM  PDSWFMDOVERTIME  TimeTo 1 0500
RegMo  BizflowlD Subject Priority UserCreate EmplDCreate PositionCreate Userfs EmplDAs  PositionAs UserChange EmplDChange Po
1 : MD_Overtime_AJTM  ESS_Overtime_AJTM shofwan 00000012 00000010 shofwan 00000012 00000010 shofwan ooooooi12 oo
ID  Sequence PlICPosition PlCUser PICEmplD PlCGroup PICStatus  InboundDt ReadDt ReadBy ReadlD ExecuteDt Executellser ExecuteEmplD TaskStatus
1 3 admin ooooooot 1 20240710120840 W

API: https://api-mobile-easy.minovais.com/api/wf/requestWithoutAttachment
DB: 103.153.60.89 > MinovaES_Easy

JSON Saat Submit

json:
{"worlflow_id":null,"status":"Submit","workflow_name":"ESS_Overtime_AJTM","absence_type":null,"quota_from":null,"quota_to":null,"
delegate_to":null,"duration":null,"duration_ovt":"","remaining_quota":null,"description":"Reason
Testing","action":"200","comment":null,"date":"2024-07-10","date_from":"2024-07-10","date_to":"2024-07-10","time_from":"00:00:00","
time_t0":"05:00:00","notes":"","reason":"Reason
Testing","request_no":"0","office":"","latitude":"","longitude":"","day_type":null,"attendance_type":"A"}

Saat Reject / Approve

API: https://api-mobile-easy.minovais.com/api/wf/requestWithoutAttachment

json:
{"worlflow_id":"119","status":"Submit","workflow_name":"Leave","absence_type":"","quota_from":"","quota_to":"","delegate_to":null,"d
uration™:"","duration_ovt":null,"remaining_quota":"","description":"","action":"400","comment":null,"date":"","date_from":"","date_to":"","t
ime_from":"""time_to":"","notes":"","reason":"","request_no":"119","office":"","latitude":"","longitude":"","day_type":"","attendance_type"
" "filename":null,"filetype":null,"filebase64":null}
Authorization Headers (9) Body Scripts

form-data x-www-form-urlencoded @ raw binary GraphQL

$"worlflow id":"119","status":"Submit", "workflow name":"Leave", "absence type":'

"delegate_to":null, "duration”:"","duration_ovt":null,*remaining quota":"","description”:"
. ,“time_to":""
. "attendance_type":"",

. "quota from":

,"date_from":"", 6 "date_to":"","time_from":

"comment”:null,"date":
"request_no": 9", "office":"", "latitude":"", "longitude”:"", "day_type":
“"filename":null,"filetype"”:null, "filebase64"::null}

,"notes":"","Teason":

Headers (9) Test Results £ 500 Internal Server Error Time: 35 ms  Size:
Preview Visualize

"message”: "An

line ) Find and rep! {d Postbot  [*] Runner art Proxy (b Cookies Z Vault

History

#1 - 07/16/2024 03:11 PM - M Azid Wahyudi

- File clipboard-202407161510-xj1ks.png added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to shofwan shiddiq

dear shofwan , udah bisa ya

none ® raw binary GraphQL

1 {"worlflow_id":"145","status”:"Submit","workflow_name" . "absence_type”:"","quota_from":*", "quota_to":"", "delegate_to":null, "duration”:"","duration_ovt":
"remaining quota":"","description”:"","action”: date_from _to":"","time_from":"","time_to’:"","notes":"", "reason®:"","Tequest_n
"latitude”:"","longitude”:"","day_type":"","attendance_type":" . "Filetype" ,"filebasesa” nulll

Headers (10)  Test Results (= 00 OK  Time: 6115

"message_type”
“message_code” :
“data”:

“total_page":

makasih
. "quota to":
. "action":"4@8",
#2 - 07/16/2024 03:12 PM - M Azid Wahyudi

issue ini terjadi lemparan jsonnya workflownamenya Leave

#3 - 07/17/2024 06:17 PM - shofwan shiddiq
- Status changed from QA Test to Closed

Files

clipboard-202407101214-r0fyo.png 57.6 KB 07/10/2024 shofwan shiddiq
clipboard-202407101216-wil3n.png 124 KB 07/10/2024 shofwan shiddiq
clipboard-202407161510-xj1ks.png 145 KB 07/16/2024 M Azid Wahyudi
